xapian-core 2.0.0

Public Member Functions | List of all members
Xapian::DatabaseVersionError Class Reference

DatabaseVersionError indicates that a database is in an unsupported format. More...

`#include <error.h>`

Inheritance diagram for Xapian::DatabaseVersionError:
[legend]

## Public Member Functions
| DatabaseVersionError (std::string_view msg_, std::string_view context_={}, int errno_=0)
| General purpose constructor.
| DatabaseVersionError (std::string_view msg_, int errno_)
| Construct from message and errno value.
Public Member Functions inherited from Xapian::DatabaseOpeningError
| DatabaseOpeningError (std::string_view msg_, std::string_view context_={}, int errno_=0)
| General purpose constructor.
| DatabaseOpeningError (std::string_view msg_, int errno_)
| Construct from message and errno value.
Public Member Functions inherited from Xapian::DatabaseError
| DatabaseError (std::string_view msg_, std::string_view context_={}, int errno_=0)
| General purpose constructor.
| DatabaseError (std::string_view msg_, int errno_)
| Construct from message and errno value.
Public Member Functions inherited from Xapian::Error
| Error (const Error &)=default
| Default copy constructor.
const char * | get_type () const noexcept
| The type of this error (e.g. "DocNotFoundError".).
const std::string & | get_msg () const noexcept
| Message giving details of the error, intended for human consumption.
const std::string & | get_context () const noexcept
| Optional context information.
const char * | get_error_string () const
| Returns any system error string associated with this exception.
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

DatabaseVersionError indicates that a database is in an unsupported format.

From time to time, new versions of Xapian will require the database format to be changed, to allow new information to be stored or new optimisations to be performed. Backwards compatibility will sometimes be maintained, so that new versions of Xapian can open old databases, but in some cases Xapian will be unable to open a database because it is in too old (or new) a format. This can be resolved either be upgrading or downgrading the version of Xapian in use, or by rebuilding the database from scratch with the current version of Xapian.

## Constructor & Destructor Documentation

## ◆ DatabaseVersionError() [1/2]

Xapian::DatabaseVersionError::DatabaseVersionError | ( | std::string_view | msg_,
|  | std::string_view | context_ = {},
|  | int | errno_ = 0 )
| inline explicit

General purpose constructor.

Parameters

  msg_ | Message giving details of the error, intended for human consumption.
  context_ | Optional context information for this error.
  errno_ | Optional errno value associated with this error.

## ◆ DatabaseVersionError() [2/2]

Xapian::DatabaseVersionError::DatabaseVersionError | ( | std::string_view | msg_,
|  | int | errno_ )
| inline

Construct from message and errno value.

Parameters

  msg_ | Message giving details of the error, intended for human consumption.
  errno_ | Optional errno value associated with this error.

The documentation for this class was generated from the following file:

- xapian/error.h